
%global qt_module qtquickeffectmaker

%global examples 1

%define short_version 6.5

Summary:        Tool for creating shader effects for Qt Quick
Name:           qt6-%{qt_module}
Version:        6.5.2
Release:        1

License:        GPL-3.0-only
URL:            https://www.qt.io
%global  majmin %(echo %{version} | cut -d. -f1-2)
%global  qt_version %(echo %{version} | cut -d~ -f1)

Source0: https://download.qt.io/official_releases/qt/%{short_version}/%{version}/submodules/%{qt_module}-everywhere-src-%{version}.tar.xz

BuildRequires:  ninja-build
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  qt6-qtbase-devel >= %{version}
BuildRequires:  qt6-qtbase-private-devel
BuildRequires:  qt6-qtdeclarative-devel
BuildRequires:  qt6-qtquick3d-devel
BuildRequires:  qt6-qtshadertools-devel
BuildRequires:  pkgconfig(xkbcommon) >= 0.5.0

%description
Qt Quick Effect Maker is a hybrid editor for creating shader effects for Qt
Quick applications and offers both a node editor and a code editor.

%if 0%{?examples}
%package examples
Summary: Programming examples for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
# BuildRequires: qt6-qtremoteobjects-devel >= %{version}
%description examples
%{summary}.
%endif

%prep
%autosetup -n %{qt_module}-everywhere-src-%{version} -p1


%build
%cmake_qt6 -DQT_BUILD_EXAMPLES:BOOL=%{?examples:ON}%{!?examples:OFF}

cmake --build . %{?_smp_mflags} --verbose

%install
DESTDIR="%{buildroot}" cmake --install .


%ldconfig_scriptlets

%files
%license LICENSES/* tools/qqem/qml/fonts/SourceCodePro.txt
%{_qt6_bindir}/qqem
%{_qt6_qmldir}/QtQuickEffectMaker/

%if 0%{?examples}
%files examples
%{_qt6_examplesdir}/
%endif
%changelog
* Thu Nov 30 2023 peijiankang <peijiankang@kylinos.cn> - 6.5.2-1
- update version to 6.5.2

* Thu Aug 17 2023 peijiankang <peijiankang@kylinos.cn> - 6.5.1-1
- 6.5.1
